Pular para o conteúdo principal
GET
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
Retrieve the calling extension settings for a specific app.
curl --request GET \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

Resposta

successful operation

createdAt
string<date-time>
obrigatório

The date and time when the calling extension settings were created.

height
integer<int32>
obrigatório

The height of the calling extension interface.

isReady
boolean
obrigatório

Specifies whether the calling extension settings are ready for use.

name
string
obrigatório

The name of the calling extension.

supportsCustomObjects
boolean
obrigatório

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
obrigatório

Indicates if the calling extension supports inbound calling.

updatedAt
string<date-time>
obrigatório

The date and time when the calling extension settings were last updated.

url
string
obrigatório

The URL associated with the calling extension.

usesCallingWindow
boolean
obrigatório

Specifies if the calling extension uses a dedicated calling window.

usesRemote
boolean
obrigatório

Indicates if the calling extension uses a remote service.

width
integer<int32>
obrigatório

The width of the calling extension interface.

Last modified on April 13, 2026